# Dockerfile used by OSBS and by prow CI.
FROM openshift/golang-builder@sha256:21aab8ec0f5d119e4f6dab12f7ad6a1cec15d5f9071ae0c7431be760f29d4c71 AS builder
ENV __doozer=update BUILD_RELEASE=202203081819.p0.gb84b5bf.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202203081819.p0.gb84b5bf.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b84b5bf OS_GIT_VERSION=4.9.0-202203081819.p0.gb84b5bf.assembly.stream-b84b5bf SOURCE_DATE_EPOCH=1623920665 SOURCE_GIT_COMMIT=b84b5bf9c3b84e65ebead7e9e35ddf6454bb33ce SOURCE_GIT_TAG=v0.2.2-62-gb84b5bf SOURCE_GIT_URL=https://github.com/openshift/configmap-reload 
WORKDIR /go/src/github.com/jimmidyson/configmap-reload
COPY . .
ENV GOFLAGS="-mod=vendor"
RUN make out/configmap-reload

FROM openshift/ose-base:v4.9.0.20220308.190656
ENV __doozer=update BUILD_RELEASE=202203081819.p0.gb84b5bf.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202203081819.p0.gb84b5bf.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b84b5bf OS_GIT_VERSION=4.9.0-202203081819.p0.gb84b5bf.assembly.stream-b84b5bf SOURCE_DATE_EPOCH=1623920665 SOURCE_GIT_COMMIT=b84b5bf9c3b84e65ebead7e9e35ddf6454bb33ce SOURCE_GIT_TAG=v0.2.2-62-gb84b5bf SOURCE_GIT_URL=https://github.com/openshift/configmap-reload 

ARG FROM_DIRECTORY=/go/src/github.com/jimmidyson/configmap-reload
COPY --from=builder ${FROM_DIRECTORY}/out/configmap-reload  /usr/bin/configmap-reload

USER nobody

ENTRYPOINT ["/usr/bin/configmap-reload"]

LABEL \
        io.k8s.display-name="configmap reload" \
        io.k8s.description="This is a component reloads another process if a configured configmap volume is remounted." \
        io.openshift.tags="kubernetes" \
        summary="This is a component reloads another process if a configured configmap volume is remounted." \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-configmap-reloader" \
        com.redhat.component="configmap-reload-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202203081819.p0.gb84b5bf.assembly.stream" \
        io.openshift.build.commit.id="b84b5bf9c3b84e65ebead7e9e35ddf6454bb33ce" \
        io.openshift.build.source-location="https://github.com/openshift/configmap-reload" \
        io.openshift.build.commit.url="https://github.com/openshift/configmap-reload/commit/b84b5bf9c3b84e65ebead7e9e35ddf6454bb33ce" \
        version="v4.9.0"

